﻿using System;
using System.Windows.Media;
using System.Xml.Serialization;
using Experior.Core.Assemblies;

namespace $safeprojectname$.Assemblies
{
    public class MyAssembly : Assembly
    {
        public MyAssembly(MyAssemblyInfo info)
            : base(info)
        {
        }

        public override string Category { get; } = "Assembly";

        public override ImageSource Image { get; } = Common.EmbeddedImageLoader?.Get("MyAssembly");
    }

    [Serializable, XmlInclude(typeof(MyAssemblyInfo)), XmlType(TypeName = "$safeprojectname$.Assemblies.MyAssemblyInfo")]
    public class MyAssemblyInfo : Experior.Core.Assemblies.AssemblyInfo
    {
    }
}